Skip to main content
Roles are scoped to a firm entity (identified by X-Firm-Entity-Slug). Each staff member can have one or more roles assigned; see Assign and remove roles. The set of assignable permissions is enumerated by GET /v1/firm-control/permissions.

Headers

List roles

operationId: listRoles

Response — 200 OK

Create role

operationId: createRole

Body

Response — 201 Created

Update role

operationId: updateRole

Body

Response — 200 OK

Returns the updated Role.

List staff role assignments

operationId: listStaffRoles Lists RBAC role assignments for staff members in the firm entity scope.

Response — 200 OK